package com.clx.performance.vo.pc.loan.carrier;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author kavin
 * Date 2024-01-20
 * Time 17:05
 */
@Getter
@Setter
public class OwnerLoanRecordVO {

    private Integer id;

   
    @ApiModelProperty("货主编码")
    private String ownerUserNo;

   
    @ApiModelProperty("货主名称")
    private String ownerUserName;

   
    @ApiModelProperty("联系电话")
    private String mobile;

   
    @ApiModelProperty("交易流水号（第三方）")
    private Long runningWaterOpenNo;

   
    @ApiModelProperty("借款单号")
    private Long loanNo;

   
    @ApiModelProperty("借款类型 1:虚拟货币  2:资金")
    private Integer loanType;

   
    @ApiModelProperty("借款金额")
    private BigDecimal loanBalance;

   
    @ApiModelProperty("借款方")
    private String borrower;

   
    @ApiModelProperty("借出方")
    private String lendingParty;

   
    @ApiModelProperty("付款账户")
    private String paymentAccount;

   
    @ApiModelProperty("收款方")
    private String payee;

   
    @ApiModelProperty("收款账户")
    private String payeeAccount;

   
    @ApiModelProperty("待审批 10 付款中 20 付款成功 30 付款失败 40 审批通过 50 审批拒绝 60")
    private Integer status;

   
    @ApiModelProperty("审批时间")
    private LocalDateTime approveTime;

   
    @ApiModelProperty("审批人")
    private String approveBy;

   
    @ApiModelProperty("拒绝原因")
    private String rejectReason;

   
    @ApiModelProperty("借款归还时间")
    private LocalDateTime loanRepaymentTime;

   
    @ApiModelProperty("创建人")
    private String createBy;

   
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

   
    @ApiModelProperty("修改时间")
    private LocalDateTime modifiedTime;

}
